null_deleter Struct Reference

Used to let a shared pointer exist that doesn't delete anything. This is used by RefBase to hold a shared pointer to *this without actually deleting twice when the object goes out of scope. More...

`#include <RefCount.h>`

## Public Member Functions

void | operator() (void const *) const

## Detailed Description

Used to let a shared pointer exist that doesn't delete anything. This is used by RefBase to hold a shared pointer to *this without actually deleting twice when the object goes out of scope.

Definition at line 98 of file RefCount.h.

## Member Function Documentation

## operator()()

void null_deleter::operator() | ( | void const * |  | ) | const

inline

Definition at line 100 of file RefCount.h.

{ }

The documentation for this struct was generated from the following file:

- export/RefCount.h